使い方
- .* ファイルを上の枠にドラッグするか、「ファイルを選択」を押して選びます。
- オプションが表示されたら、必要に応じて設定します。オプションはファイル一覧の下に表示されます。
- 「変換する」を押すと、端末内で変換します。進行状況が表示され、いつでもキャンセルできます。
- 結果の横の「保存」を押します。結果が複数ある場合は「すべてZIPで保存」でまとめて保存できます。
この変換で扱う形式
GZ(GZIP) .gz
GZ(GZIP)は、ファイルを圧縮する形式です。先頭のメンバーヘッダーと、末尾のCRC32および元のサイズ(ISIZE)で構成されます(RFC 1952)。
制限と注意点
- 処理できるファイルサイズは端末によって異なります。お使いの端末の上限はドロップ欄に表示され、上限を超えるファイルは処理せずにお知らせします。
よくある質問
ファイルはサーバーにアップロードされますか?
いいえ。変換はこのブラウザ内だけで行われ、ファイル名・内容・結果は当サイトのサーバーに送信されません。一部の変換ツールは初回利用時に変換プログラム(コード)をダウンロードしますが、その際もお客様のファイルは送信されません。詳しくはプライバシーのページをご覧ください。
ライセンスと使用しているソフトウェア
この変換ツールがダウンロードして使うプログラム: fflate 0.8.3 (MIT) · オープンソースライセンス
出典と確認日
- RFC 1952 GZIP file format 4.3
member header, CRC32 and ISIZE trailer · 2026-11-10 - RFC 1950 ZLIB Compressed Data Format 3.3
header, ADLER32 · 2026-11-10 - RFC 1951 DEFLATE Compressed Data Format 1.3
raw deflate stream · 2026-11-10 - fflate (GitHub)
ZIP creation in the browser · 2026-11-10 - PKWARE ZIP APPNOTE 6.3.10
4.4.4 general purpose bit 11 (language encoding flag, UTF-8 names) · 2026-11-10
原文を直接開いて確認した日: 2026-11-10。仕様は変わることがあるため、重要な作業の前には原文を再確認してください。
関連する変換ツール
検証方法 · 出典と基準 · このサイトがしないこと